CREATE procedure [C6Staging].[RP_ST_DettImmobiliare_20190107_ProQuota] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettImmobiliare',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_DettImmobiliare_20190107_ProQuota
	--drop table c6staging.RP_DettImmobiliare
		/* 08/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati. 
	Sostituzione del campo valore immobile con valoreimmobiletotale per l'evolutiva patrimonio immobiliare.
*/
	insert into c6staging.RP_DettImmobiliare_20190107_ProQuota
	--select *  
	--into c6staging.RP_DettImmobiliare
	select
	[chiaveProdottoTerzi],
	[descrizione],
	[codProvincia],
	[provincia],
	[codComune],
	[comune],
	[codZona],
	[zona],
	[superficie],
	NULL,
	NULL,
	NULL,
	--[valoreImmobile],
	[valoreImmobileTotale],
	NULL,
	[renditaAnnua],
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	[codTipologia],
	[tipologia],
	[valoreImmobile],
	[TipologiaDiritto],
	[QuotaProprieta]
	--into c6staging.RP_DettImmobiliare
from [CONSUNI].[ConsulenzaUnica].dbo.DettImmobiliare
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettImmobiliare' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettImmobiliare'
		)
end